/*
 Copyright (c) 2007 Cyrus Daboo. All rights reserved.
 
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 
 http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */

#include "RsrcTypes.r"

resource 'ALRT' (204, "Low Memory Warning", preload) {
	{104, 130, 205, 488},
	204,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (206, "No Directory", preload) {
	{104, 130, 205, 488},
	206,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionParentWindowScreen
};

resource 'ALRT' (207, "Logging", preload) {
	{104, 130, 243, 568},
	207,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionParentWindowScreen
};

resource 'DITL' (204, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{71, 278, 91, 348},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 58, 348},
		StaticText {
			disabled,
			"Memory is getting full. Please try to alleviate the problem by closing some wind"
			"ows or Quit the application. "
		}
	}
};

resource 'DITL' (206, preload) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{71, 278, 91, 348},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 58, 348},
		StaticText {
			disabled,
			"The default download directory could not be found. Please reset it in the Attac"
			"hment preferences panel."
		}
	}
};

resource 'DITL' (207, "Logging", preload) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{108, 348, 128, 418},
		Button {
			enabled,
			"Yes"
		},
		/* [2] */
		{108, 266, 128, 336},
		Button {
			enabled,
			"No"
		},
		/* [3] */
		{10, 69, 89, 401},
		StaticText {
			disabled,
			"Protocol logging is turned on. This may store passwords and details of messages "
			"you read and send in clear text in local files on disk. Do you want to allow pro"
			"tocol logging to continue for this session of Mulberry?"
		}
	}
};

resource 'Estr' (-23045) {
	"Could not lookup the name using the domain nameserver"
};

resource 'Estr' (-23044) {
	"Cannot find domain nameserver on the network"
};

resource 'Estr' (-23016) {
	"TCP/IP connection timed-out"
};

resource 'Estr' (-23015) {
	"The connection came halfway up and then failed"
};

resource 'Estr' (-23012) {
	"TCP/IP connection terminated"
};

resource 'Estr' (-23008) {
	"TCP/IP connection no longer exists"
};

resource 'Estr' (-23004) {
	"Cannot get IP address"
};

resource 'Estr' (-2810) {
	"Not enough memory to load plugin."
};

resource 'Estr' (-108, preload) {
	"Out of Memory"
};

resource 'Estr' (-49) {
	"File already open with write permission"
};

resource 'Estr' (-48) {
	"Duplicate or illegal file name"
};

resource 'Estr' (-45) {
	"File is locked"
};

resource 'Estr' (-44) {
	"Disk is write protected"
};

resource 'Estr' (-43) {
	"File or folder not found"
};

resource 'Estr' (-35) {
	"Volume not found"
};

resource 'Estr' (-34) {
	"Disk full"
};

resource 'Estr' (-33) {
	"Directory full"
};

resource 'Estr' (-1) {
	"Unknown Error Type"
};

resource 'Estr' (25, preload) {
	"Out of Memory"
};

resource 'Estr' (10038) {
	"TCP/IP: illegal socket"
};

resource 'Estr' (10045) {
	"TCP/IP: cannot support socket"
};

resource 'Estr' (10050) {
	"TCP/IP: not available"
};

resource 'Estr' (10051) {
	"TCP/IP: network unreachable from this host"
};

resource 'Estr' (10052) {
	"TCP/IP: connection dropped"
};

resource 'Estr' (10053) {
	"TCP/IP: connection aborted"
};

resource 'Estr' (10054) {
	"TCP/IP: connection reset by remote host"
};

resource 'Estr' (10055) {
	"TCP/IP: no buffer space available"
};

resource 'Estr' (10056) {
	"TCP/IP: already connected"
};

resource 'Estr' (10057) {
	"TCP/IP: cannot connect"
};

resource 'Estr' (10058) {
	"TCP/IP: socket closed"
};

resource 'Estr' (10060) {
	"TCP/IP: timed out while connecting"
};

resource 'Estr' (10061) {
	"TCP/IP: connection was refused"
};

resource 'Estr' (10064) {
	"TCP/IP: host down"
};

resource 'Estr' (10065) {
	"TCP/IP: host unreachable"
};

resource 'Estr' (10091) {
	"TCP/IP: network not ready"
};

resource 'Estr' (10093) {
	"TCP/IP: not initialised"
};

resource 'Estr' (11001) {
	"TCP/IP: host not found during DNS lookup"
};

resource 'Estr' (11002) {
	"TCP/IP: host not found or DNS server failure"
};

resource 'Estr' (11003) {
	"DNS lookup failure"
};

resource 'Estr' (11004) {
	"TCP/IP: DNS could not resolve name"
};

resource 'Estr' (19278) {
	"Network: Unknown Error"
};

resource 'Estr' (-51) {
	"Illegal File Number"
};

resource 'Estr' (-52) {
	"Could not locate file position"
};

resource 'Estr' (-53) {
	"Volume not available"
};

resource 'Estr' (-54) {
	"File permissions inadequate"
};

resource 'Estr' (-61) {
	"File is not writeable"
};

resource 'Estr' (-5000) {
	"File permissions inadequate"
};

resource 'Estr' (-5008) {
	"Disk is full"
};

resource 'Estr' (-5010) {
	"File is busy"
};

resource 'Estr' (-5017) {
	"File already exists"
};

resource 'Estr' (-5018) {
	"File does not exist"
};

resource 'Estr' (-5031) {
	"Volume is locked"
};

resource 'Estr' (-46) {
	"Volume is locked"
};

resource 'Estr' (-47) {
	"File is busy"
};

resource 'Estr' (-120) {
	"Directory not found"
};

resource 'Mlby' (0, "Owner resource") {
	"Mulberry Cyrus Daboo, 2006."
};

data 'SPIN' (128) {
	$"0000 0080 0004 0001 0006"                                                                           /* ......... */
};

data 'SPIN' (129) {
	$"0000 0080 0004 0078 0006"                                                                           /* ......x.. */
};

resource 'STR ' (256, "Default Prefs File Name", purgeable) {
	"Mulberry Prefs"
};

data 'Xmnu' (0) {
	$"0800 0000 0000 0000 2000 4000 0000 0000 0100 0000 0000 0000 0000"                                   /* ........ .@............... */
};

data 'logo' (128) {
	$"0000"                                                                                               /* .. */
};

resource 'pltt' (0, "Default palette") {
	{	/* array ColorInfo: 256 elements */
		/* [1] */
		65535, 65535, 65535, pmTolerant, 0,
		/* [2] */
		0, 0, 0, 5378, 0,
		/* [3] */
		43690, 43690, 43690, 5378, 0,
		/* [4] */
		21845, 21845, 21845, 5378, 0,
		/* [5] */
		65535, 65535, 0, 5378, 0,
		/* [6] */
		65535, 26214, 0, 5378, 0,
		/* [7] */
		56797, 0, 0, 5378, 0,
		/* [8] */
		65535, 0, 52428, 5378, 0,
		/* [9] */
		13107, 0, 39321, 5378, 0,
		/* [10] */
		0, 0, 56797, 5378, 0,
		/* [11] */
		0, 39321, 65535, 5378, 0,
		/* [12] */
		13107, 52428, 13107, 5378, 0,
		/* [13] */
		0, 26214, 0, 5378, 0,
		/* [14] */
		26214, 13107, 0, 5378, 0,
		/* [15] */
		39321, 26214, 13107, 5378, 0,
		/* [16] */
		48059, 48059, 48059, 5378, 0,
		/* [17] */
		65535, 65535, 52428, 5378, 0,
		/* [18] */
		65535, 65535, 39321, 5378, 0,
		/* [19] */
		65535, 65535, 26214, 5378, 0,
		/* [20] */
		65535, 65535, 13107, 5378, 0,
		/* [21] */
		65535, 52428, 65535, 5378, 0,
		/* [22] */
		65535, 52428, 52428, 5378, 0,
		/* [23] */
		65535, 52428, 39321, 5378, 0,
		/* [24] */
		65535, 52428, 26214, 5378, 0,
		/* [25] */
		65535, 52428, 13107, 5378, 0,
		/* [26] */
		65535, 52428, 0, 5378, 0,
		/* [27] */
		65535, 39321, 65535, 5378, 0,
		/* [28] */
		65535, 39321, 52428, 5378, 0,
		/* [29] */
		65535, 39321, 39321, 5378, 0,
		/* [30] */
		65535, 39321, 26214, 5378, 0,
		/* [31] */
		65535, 39321, 13107, 5378, 0,
		/* [32] */
		65535, 39321, 0, 5378, 0,
		/* [33] */
		65535, 26214, 65535, 5378, 0,
		/* [34] */
		65535, 26214, 52428, 5378, 0,
		/* [35] */
		65535, 26214, 39321, 5378, 0,
		/* [36] */
		65535, 26214, 26214, 5378, 0,
		/* [37] */
		65535, 26214, 13107, 5378, 0,
		/* [38] */
		65535, 13107, 65535, 5378, 0,
		/* [39] */
		65535, 13107, 52428, 5378, 0,
		/* [40] */
		65535, 13107, 39321, 5378, 0,
		/* [41] */
		65535, 13107, 26214, 5378, 0,
		/* [42] */
		65535, 13107, 13107, 5378, 0,
		/* [43] */
		65535, 13107, 0, 5378, 0,
		/* [44] */
		65535, 0, 65535, 5378, 0,
		/* [45] */
		65535, 0, 39321, 5378, 0,
		/* [46] */
		65535, 0, 26214, 5378, 0,
		/* [47] */
		65535, 0, 13107, 5378, 0,
		/* [48] */
		65535, 0, 0, 5378, 0,
		/* [49] */
		52428, 65535, 65535, 5378, 0,
		/* [50] */
		52428, 65535, 52428, 5378, 0,
		/* [51] */
		52428, 65535, 39321, 5378, 0,
		/* [52] */
		52428, 65535, 26214, 5378, 0,
		/* [53] */
		52428, 65535, 13107, 5378, 0,
		/* [54] */
		52428, 65535, 0, 5378, 0,
		/* [55] */
		52428, 52428, 65535, 5378, 0,
		/* [56] */
		52428, 52428, 52428, 5378, 0,
		/* [57] */
		52428, 52428, 39321, 5378, 0,
		/* [58] */
		52428, 52428, 26214, 5378, 0,
		/* [59] */
		52428, 52428, 13107, 5378, 0,
		/* [60] */
		52428, 52428, 0, 5378, 0,
		/* [61] */
		52428, 39321, 65535, 5378, 0,
		/* [62] */
		52428, 39321, 52428, 5378, 0,
		/* [63] */
		52428, 39321, 39321, 5378, 0,
		/* [64] */
		52428, 39321, 26214, 5378, 0,
		/* [65] */
		52428, 39321, 13107, 5378, 0,
		/* [66] */
		52428, 39321, 0, 5378, 0,
		/* [67] */
		52428, 26214, 65535, 5378, 0,
		/* [68] */
		52428, 26214, 52428, 5378, 0,
		/* [69] */
		52428, 26214, 39321, 5378, 0,
		/* [70] */
		52428, 26214, 26214, 5378, 0,
		/* [71] */
		52428, 26214, 13107, 5378, 0,
		/* [72] */
		52428, 26214, 0, 5378, 0,
		/* [73] */
		52428, 13107, 65535, 5378, 0,
		/* [74] */
		52428, 13107, 52428, 5378, 0,
		/* [75] */
		52428, 13107, 39321, 5378, 0,
		/* [76] */
		52428, 13107, 26214, 5378, 0,
		/* [77] */
		52428, 13107, 13107, 5378, 0,
		/* [78] */
		52428, 13107, 0, 5378, 0,
		/* [79] */
		52428, 0, 65535, 5378, 0,
		/* [80] */
		52428, 0, 52428, 5378, 0,
		/* [81] */
		52428, 0, 39321, 5378, 0,
		/* [82] */
		52428, 0, 26214, 5378, 0,
		/* [83] */
		52428, 0, 13107, 5378, 0,
		/* [84] */
		52428, 0, 0, 5378, 0,
		/* [85] */
		39321, 65535, 65535, 5378, 0,
		/* [86] */
		39321, 65535, 52428, 5378, 0,
		/* [87] */
		39321, 65535, 39321, 5378, 0,
		/* [88] */
		39321, 65535, 26214, 5378, 0,
		/* [89] */
		39321, 65535, 13107, 5378, 0,
		/* [90] */
		39321, 65535, 0, 5378, 0,
		/* [91] */
		39321, 52428, 65535, 5378, 0,
		/* [92] */
		39321, 52428, 52428, 5378, 0,
		/* [93] */
		39321, 52428, 39321, 5378, 0,
		/* [94] */
		39321, 52428, 26214, 5378, 0,
		/* [95] */
		39321, 52428, 13107, 5378, 0,
		/* [96] */
		39321, 52428, 0, 5378, 0,
		/* [97] */
		39321, 39321, 65535, 5378, 0,
		/* [98] */
		39321, 39321, 52428, 5378, 0,
		/* [99] */
		39321, 39321, 39321, 5378, 0,
		/* [100] */
		39321, 39321, 26214, 5378, 0,
		/* [101] */
		39321, 39321, 13107, 5378, 0,
		/* [102] */
		39321, 39321, 0, 5378, 0,
		/* [103] */
		39321, 26214, 65535, 5378, 0,
		/* [104] */
		39321, 26214, 52428, 5378, 0,
		/* [105] */
		39321, 26214, 39321, 5378, 0,
		/* [106] */
		39321, 26214, 26214, 5378, 0,
		/* [107] */
		39321, 26214, 0, 5378, 0,
		/* [108] */
		39321, 13107, 65535, 5378, 0,
		/* [109] */
		39321, 13107, 52428, 5378, 0,
		/* [110] */
		39321, 13107, 39321, 5378, 0,
		/* [111] */
		39321, 13107, 26214, 5378, 0,
		/* [112] */
		39321, 13107, 13107, 5378, 0,
		/* [113] */
		39321, 13107, 0, 5378, 0,
		/* [114] */
		39321, 0, 65535, 5378, 0,
		/* [115] */
		39321, 0, 52428, 5378, 0,
		/* [116] */
		39321, 0, 39321, 5378, 0,
		/* [117] */
		39321, 0, 26214, 5378, 0,
		/* [118] */
		39321, 0, 13107, 5378, 0,
		/* [119] */
		39321, 0, 0, 5378, 0,
		/* [120] */
		26214, 65535, 65535, 5378, 0,
		/* [121] */
		26214, 65535, 52428, 5378, 0,
		/* [122] */
		26214, 65535, 39321, 5378, 0,
		/* [123] */
		26214, 65535, 26214, 5378, 0,
		/* [124] */
		26214, 65535, 13107, 5378, 0,
		/* [125] */
		26214, 65535, 0, 5378, 0,
		/* [126] */
		26214, 52428, 65535, 5378, 0,
		/* [127] */
		26214, 52428, 52428, 5378, 0,
		/* [128] */
		26214, 52428, 39321, 5378, 0,
		/* [129] */
		26214, 52428, 26214, 5378, 0,
		/* [130] */
		26214, 52428, 13107, 5378, 0,
		/* [131] */
		26214, 52428, 0, 5378, 0,
		/* [132] */
		26214, 39321, 65535, 5378, 0,
		/* [133] */
		26214, 39321, 52428, 5378, 0,
		/* [134] */
		26214, 39321, 39321, 5378, 0,
		/* [135] */
		26214, 39321, 26214, 5378, 0,
		/* [136] */
		26214, 39321, 13107, 5378, 0,
		/* [137] */
		26214, 39321, 0, 5378, 0,
		/* [138] */
		26214, 26214, 65535, 5378, 0,
		/* [139] */
		26214, 26214, 52428, 5378, 0,
		/* [140] */
		26214, 26214, 39321, 5378, 0,
		/* [141] */
		26214, 26214, 26214, 5378, 0,
		/* [142] */
		26214, 26214, 13107, 5378, 0,
		/* [143] */
		26214, 26214, 0, 5378, 0,
		/* [144] */
		26214, 13107, 65535, 5378, 0,
		/* [145] */
		26214, 13107, 52428, 5378, 0,
		/* [146] */
		26214, 13107, 39321, 5378, 0,
		/* [147] */
		26214, 13107, 26214, 5378, 0,
		/* [148] */
		26214, 13107, 13107, 5378, 0,
		/* [149] */
		26214, 0, 65535, 5378, 0,
		/* [150] */
		26214, 0, 52428, 5378, 0,
		/* [151] */
		26214, 0, 39321, 5378, 0,
		/* [152] */
		26214, 0, 26214, 5378, 0,
		/* [153] */
		26214, 0, 13107, 5378, 0,
		/* [154] */
		26214, 0, 0, 5378, 0,
		/* [155] */
		13107, 65535, 65535, 5378, 0,
		/* [156] */
		13107, 65535, 52428, 5378, 0,
		/* [157] */
		13107, 65535, 39321, 5378, 0,
		/* [158] */
		13107, 65535, 26214, 5378, 0,
		/* [159] */
		13107, 65535, 13107, 5378, 0,
		/* [160] */
		13107, 65535, 0, 5378, 0,
		/* [161] */
		13107, 52428, 65535, 5378, 0,
		/* [162] */
		13107, 52428, 52428, 5378, 0,
		/* [163] */
		13107, 52428, 39321, 5378, 0,
		/* [164] */
		13107, 52428, 26214, 5378, 0,
		/* [165] */
		13107, 52428, 0, 5378, 0,
		/* [166] */
		13107, 39321, 65535, 5378, 0,
		/* [167] */
		13107, 39321, 52428, 5378, 0,
		/* [168] */
		13107, 39321, 39321, 5378, 0,
		/* [169] */
		13107, 39321, 26214, 5378, 0,
		/* [170] */
		13107, 39321, 13107, 5378, 0,
		/* [171] */
		13107, 39321, 0, 5378, 0,
		/* [172] */
		13107, 26214, 65535, 5378, 0,
		/* [173] */
		13107, 26214, 52428, 5378, 0,
		/* [174] */
		13107, 26214, 39321, 5378, 0,
		/* [175] */
		13107, 26214, 26214, 5378, 0,
		/* [176] */
		13107, 26214, 13107, 5378, 0,
		/* [177] */
		13107, 26214, 0, 5378, 0,
		/* [178] */
		13107, 13107, 65535, 5378, 0,
		/* [179] */
		13107, 13107, 52428, 5378, 0,
		/* [180] */
		13107, 13107, 39321, 5378, 0,
		/* [181] */
		13107, 13107, 26214, 5378, 0,
		/* [182] */
		13107, 13107, 13107, 5378, 0,
		/* [183] */
		13107, 13107, 0, 5378, 0,
		/* [184] */
		13107, 0, 65535, 5378, 0,
		/* [185] */
		13107, 0, 52428, 5378, 0,
		/* [186] */
		13107, 0, 26214, 5378, 0,
		/* [187] */
		13107, 0, 13107, 5378, 0,
		/* [188] */
		13107, 0, 0, 5378, 0,
		/* [189] */
		0, 65535, 65535, 5378, 0,
		/* [190] */
		0, 65535, 52428, 5378, 0,
		/* [191] */
		0, 65535, 39321, 5378, 0,
		/* [192] */
		0, 65535, 26214, 5378, 0,
		/* [193] */
		0, 65535, 13107, 5378, 0,
		/* [194] */
		0, 65535, 0, 5378, 0,
		/* [195] */
		0, 52428, 65535, 5378, 0,
		/* [196] */
		0, 52428, 52428, 5378, 0,
		/* [197] */
		0, 52428, 39321, 5378, 0,
		/* [198] */
		0, 52428, 26214, 5378, 0,
		/* [199] */
		0, 52428, 13107, 5378, 0,
		/* [200] */
		0, 52428, 0, 5378, 0,
		/* [201] */
		0, 39321, 52428, 5378, 0,
		/* [202] */
		0, 39321, 39321, 5378, 0,
		/* [203] */
		0, 39321, 26214, 5378, 0,
		/* [204] */
		0, 39321, 13107, 5378, 0,
		/* [205] */
		0, 39321, 0, 5378, 0,
		/* [206] */
		0, 26214, 65535, 5378, 0,
		/* [207] */
		0, 26214, 52428, 5378, 0,
		/* [208] */
		0, 26214, 39321, 5378, 0,
		/* [209] */
		0, 26214, 26214, 5378, 0,
		/* [210] */
		0, 26214, 13107, 5378, 0,
		/* [211] */
		0, 13107, 65535, 5378, 0,
		/* [212] */
		0, 13107, 52428, 5378, 0,
		/* [213] */
		0, 13107, 39321, 5378, 0,
		/* [214] */
		0, 13107, 26214, 5378, 0,
		/* [215] */
		0, 13107, 13107, 5378, 0,
		/* [216] */
		0, 13107, 0, 5378, 0,
		/* [217] */
		0, 0, 65535, 5378, 0,
		/* [218] */
		0, 0, 52428, 5378, 0,
		/* [219] */
		0, 0, 39321, 5378, 0,
		/* [220] */
		0, 0, 26214, 5378, 0,
		/* [221] */
		0, 0, 13107, 5378, 0,
		/* [222] */
		61166, 0, 0, 5378, 0,
		/* [223] */
		48059, 0, 0, 5378, 0,
		/* [224] */
		43690, 0, 0, 5378, 0,
		/* [225] */
		34952, 0, 0, 5378, 0,
		/* [226] */
		30583, 0, 0, 5378, 0,
		/* [227] */
		21845, 0, 0, 5378, 0,
		/* [228] */
		17476, 0, 0, 5378, 0,
		/* [229] */
		8738, 0, 0, 5378, 0,
		/* [230] */
		4369, 0, 0, 5378, 0,
		/* [231] */
		0, 61166, 0, 5378, 0,
		/* [232] */
		0, 56797, 0, 5378, 0,
		/* [233] */
		0, 48059, 0, 5378, 0,
		/* [234] */
		0, 43690, 0, 5378, 0,
		/* [235] */
		0, 34952, 0, 5378, 0,
		/* [236] */
		0, 30583, 0, 5378, 0,
		/* [237] */
		0, 21845, 0, 5378, 0,
		/* [238] */
		0, 17476, 0, 5378, 0,
		/* [239] */
		0, 8738, 0, 5378, 0,
		/* [240] */
		0, 4369, 0, 5378, 0,
		/* [241] */
		0, 0, 61166, 5378, 0,
		/* [242] */
		0, 0, 48059, 5378, 0,
		/* [243] */
		0, 0, 43690, 5378, 0,
		/* [244] */
		0, 0, 34952, 5378, 0,
		/* [245] */
		0, 0, 30583, 5378, 0,
		/* [246] */
		0, 0, 21845, 5378, 0,
		/* [247] */
		0, 0, 17476, 5378, 0,
		/* [248] */
		0, 0, 8738, 5378, 0,
		/* [249] */
		0, 0, 4369, 5378, 0,
		/* [250] */
		61166, 61166, 61166, 5378, 0,
		/* [251] */
		56797, 56797, 56797, 5378, 0,
		/* [252] */
		34952, 34952, 34952, 5378, 0,
		/* [253] */
		30583, 30583, 30583, 5378, 0,
		/* [254] */
		17476, 17476, 17476, 5378, 0,
		/* [255] */
		8738, 8738, 8738, 5378, 0,
		/* [256] */
		4369, 4369, 4369, 5378, 0
	}
};

data 'teda' (128, purgeable) {
	$"0000 0000"                                                                                          /* .... */
};

data 'TEXT' (10000, "About text", purgeable) {
	$"4D75 6C62 6572 7279 C2AE 2069 7320 616E 2065 6D61 696C 2061 6E64 2063 616C 656E"                    /* Mulberry® is an email and calen */
	$"6461 7220 636C 6965 6E74 2066 6F72 204D 6163 4F53 2058 2C20 5769 6E33 3220 616E"                    /* dar client for MacOS X, Win32 an */
	$"6420 556E 6978 2062 6173 6564 2063 6F6D 7075 7465 7273 2E0D 0D68 7474 703A 2F2F"                    /* d Unix based computers...http:// */
	$"7777 772E 6D75 6C62 6572 7279 6D61 696C 2E63 6F6D 0D6D 6169 6C74 6F3A 6D75 6C62"                    /* www.mulberrymail.com.mailto:mulb */
	$"6572 7279 2D73 7570 706F 7274 406D 756C 6265 7272 796D 6169 6C2E 636F 6D0D 0D48"                    /* erry-support@mulberrymail.com..H */
	$"436D 6442 7574 746F 6E41 7474 6163 686D 656E 7420 C2A9 3139 3937 2D31 3939 3820"                    /* CmdButtonAttachment ©1997-1998  */
	$"4A6F 686E 2043 2E20 4461 7562 2E20 2041 6C6C 2072 6967 6874 7320 7265 7365 7276"                    /* John C. Daub.  All rights reserv */
	$"6564 2E0D 506F 7274 696F 6E73 206F 6620 4C44 4150 2063 6F64 6520 436F 7079 7269"                    /* ed..Portions of LDAP code Copyri */
	$"6768 7420 C2A9 2031 3939 3020 5265 6765 6E74 7320 6F66 2074 6865 2055 6E69 7665"                    /* ght © 1990 Regents of the Unive */
	$"7273 6974 7920 6F66 204D 6963 6869 6761 6E2E 2041 6C6C 2072 6967 6874 7320 7265"                    /* rsity of Michigan. All rights re */
	$"7365 7276 6564 2E0D 0D4D 756C 6265 7272 79C2 AE20 6973 20C2 A920 4379 7275 7320"                    /* served...Mulberry® is © Cyrus  */
	$"4461 626F 6F2C 2032 3030 362E 2041 6C6C 2052 6967 6874 7320 5265 7365 7276 6564"                    /* Daboo, 2006. All Rights Reserved */
	$"2E"                                                                                                 /* . */
};

data 'styl' (10000, "About text") {
	$"0001 0000 0000 000D 000A 0004 0000 000A 0000 0000 0000"                                             /* .................... */
};
